corosync-notifyd_3.0.1-2_i386.deb


Advertisement

Description

corosync-notifyd - cluster engine notification daemon

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename corosync-notifyd_3.0.1-2_i386.deb
Package name corosync-notifyd
Package version 3.0.1
Package release 2
Package architecture i386
Package type deb
Category admin
Homepage https://corosync.github.io/corosync/
License -
Maintainer Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Download size 250.34 KB
Installed size 317.00 KB
The Corosync Cluster Engine is a Group Communication
System with additional features for implementing high availability within
applications. The project provides four C Application Programming Interface
features:
* A closed process group communication model with virtual synchrony
guarantees for creating replicated state machines.
* A simple availability manager that restarts the application process
when it has failed.
* A configuration and statistics in-memory database that provide the
ability to set, retrieve, and receive change notifications of
information.
* A quorum system that notifies applications when quorum is achieved
or lost.
This package contains the DBus/SNMP notification daemon for Corosync events.

Alternatives

Package Version Architecture Repository
corosync-notifyd_3.0.1-2_amd64.deb 3.0.1 amd64 Debian Main
corosync-notifyd - - -

Requires

Name Value
corosync -
init-system-helpers >= 1.54~
libc6 >= 2.4
libcfg7 >= 2.99.5
libcmap4 >= 2.99.3
libcorosync-common4 >= 1.99.9
libdbus-1-3 >= 1.9.14
libqb0 >= 1.0.3
libquorum5 >= 1.99.9
libsnmp30 >= 5.7.3+dfsg
libsystemd0 -
lsb-base >= 3.0-6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package corosync-notifyd_3.0.1-2_i386.deb
Source Package corosync

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install corosync-notifyd deb package:
    # sudo apt-get install corosync-notifyd

Files

Path
/etc/dbus-1/system.d/corosync-signals.conf
/etc/default/corosync-notifyd
/etc/init.d/corosync-notifyd
/lib/systemd/system/corosync-notifyd.service
/usr/sbin/corosync-notifyd
/usr/share/doc/corosync-notifyd/changelog.Debian.gz
/usr/share/doc/corosync-notifyd/changelog.gz
/usr/share/doc/corosync-notifyd/copyright
/usr/share/man/man8/corosync-notifyd.8.gz
/usr/share/snmp/mibs/COROSYNC-MIB.txt

Changelog

2019-02-04 - Ferenc Wágner <wferi@debian.org>
corosync (3.0.1-2) unstable; urgency=medium
* [70f53cb] Switch to Debhelper level 12.
On level 11 corosync.service is started by the dh_installinit snippet in
the postinst script, before the dh_installsystemd snippet could enable
it.  This leads to an immediate stop since version 3.0.1, where
corosync.service got the StopWhenUnneeded=true directive upstream.
(Closes: #921265)
* [5a00d0f] The package reorganization is already complete in stretch
* [bf80b75] dwz chokes on our binaries currently
* [c66c615] Minimize upstream signing key
2019-02-01 - Ferenc Wágner <wferi@debian.org>
corosync (3.0.1-1) unstable; urgency=medium
* [426b1e4] New upstream release (3.0.1)
* [c58aa08] Refresh our patches
* [ca02815] Update Standards-Version to 4.3.0 (no changes required)
* [a5dd92a] Don't use the orphaned dh-exec, Kronosnet is Linux only in Debian
* [f5c0f29] Test-drive a bunch of small patches for upstream
2018-12-22 - Ferenc Wágner <wferi@debian.org>
corosync (3.0.0-1) unstable; urgency=medium
[ Ferenc Wágner ]
* [1f7a1e6] New upstream beta release (2.99.5)
* [da76f82] Delete upstreamed patches, refresh the rest
https://github.com/corosync/corosync/issues/81 was fixed in a different
way.  Qdevice and qnet were split out into a separate project.
* [572d2a4] dh_installchangelogs finds ChangeLog by itself.
I guess #711131 might have been the original reason for the override.
* [db96368] Qdevice and qnet were split out into a separate project
* [ca28efd] With the Kronosnet dependency Hurd compatibility is off the table
* [a80ac6f] corosync-notifyd propagates the error since e313bbf
* [91df99e] RDMA support was removed in 10075a0
* [cbd44d0] Looks like the upstream init scripts aren't misplaced anymore
* [cff3ceb] Christoph got the overview man pages moved to the correct sections
(Closes: #576209)
* [065839c] The stale SECURITY file was removed by 6bdf096
* [1d8c4f0] Rename libcfg according to its new SO version
* [580ad26] Add cmap_initialize_map to libcmap4.symbols
* [03ddc00] Update Standards-Version to 4.2.1 (no changes required)
* [71598bf] The debug symbol migration is complete
* [83ff368] The Lintian tag about shipping INSTALL changed name
* [2657a3b] Clean up trailing whitespace in debian/changelog
* [fa7447b] The libtotem-pg library was discontinued (853e5b9)
* [6bbab6f] New patch: Enable PrivateTmp in the systemd service files
* [6ddd0bd] Remove corosync-dev, which was already transitional in stretch
* [6b0129e] Corosync does not use environmental variables anymore
* [8b272c3] Update source location
* [be8a155] Update copyright years
* [382f034] We got rid of the example conffiles during stretch
* [50b2d8e] Upstream agreed to sign the tarballs, let's check the signature
* [8057226] Require at least libqb 1.0.3 to avoid binutils issues
(Closes: #898266)
* [f69e2aa] Crypto is handled by Kronosnet
* [2f8aa88] Use the upstream configuration example.
Nodelist is required now, and it's better to let the token timeout scale
with the cluster size.  All in all, we might as well patch the upstream
example into a working configuration.
* [ff10f63] New upstream release (3.0.0)
* [6b1357d] Refresh our patches
* [74f03fc] Adjust autopkgtest to changed output
[ Andreas Henriksson ]
* [1b43cee] Fix BASHPATH to make it reproducible.
Otherwise it's detected differently on merged-usr vs non-merged.
(Closes: #915224)
2018-04-22 - Ferenc Wágner <wferi@debian.org>
corosync (2.4.4-3) unstable; urgency=high
* High urgency because 2.4.4 still hasn't reached testing yet.
* [901fc27] Adjust symbols files to libqb magic 2.
The powerpcspe and ppc64 build failures were late.
* [4767a4f] Header dependency generation was removed by mistake
(Closes: #896528)

See Also

Package Description
corosync-qdevice_3.0.0-4_i386.deb cluster engine quorum device daemon
corosync-qnetd_3.0.0-4_i386.deb cluster engine quorum device network daemon
corosync_3.0.1-2_i386.deb cluster engine daemon and utilities
cortado_0.6.0-4_all.deb streaming applet for Ogg formats
coturn_4.5.1.1-1.1_i386.deb TURN and STUN server for VoIP
courier-authdaemon_0.69.0-2_i386.deb Courier authentication daemon
courier-authlib-dev_0.69.0-2_i386.deb Development libraries for the Courier authentication library
courier-authlib-ldap_0.69.0-2_i386.deb LDAP support for the Courier authentication library
courier-authlib-mysql_0.69.0-2_i386.deb MySQL support for the Courier authentication library
courier-authlib-pipe_0.69.0-2_i386.deb External authentication support for the Courier authentication library
courier-authlib-postgresql_0.69.0-2_i386.deb PostgreSQL support for the Courier authentication library
courier-authlib-sqlite_0.69.0-2_i386.deb SQLite 3 support for the Courier authentication library
courier-authlib-userdb_0.69.0-2_i386.deb userdb support for the Courier authentication library
courier-authlib_0.69.0-2_i386.deb Courier authentication library
courier-base_1.0.6-1_i386.deb Courier mail server - base system
Advertisement
Advertisement